Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Sat, 09 Jul 2022 12:07:55 +0000

>
> That's very strange, since AFAIK moving in a non-fontified buffer 
> involves both fontifications and display of the fontified text, whereas 
> moving through a fontified buffer involves only the latter. FWIW, I've 
> _never_ seen movement through fontified buffer being slower than in a 
> non-fontified one.
>

Try the dictionary.json or the long-line.xml file with and without 
font-lock-mode.  Also try

emacs -Q
C-x C-f dictionary.json RET
y
C-s aan zich RET

and

emacs -Q
C-x C-f dictionary.json RET
y
M-x font-lock-mode
C-s aan zich RET

The first takes several seconds, the second is almost instantaneous.

>
> I'd be very interested to know what slows down the movement in a 
> fontified buffer.
>

One problem at a time, okay?